
Redmine - Defect #1053

Unable to upload file via file menu due to version filed.

2008-04-13 18:35 - Anonymous

Status: Closed Start date: 2008-04-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

I am unable to upload file via file menu. After some debugging i have discovered that required filed version is empty in this menu.

Did some one know how that could happen? I am using r1349. With git 1.5.3.8 as scm. The database is MySQL 5.0.51a

Related issues:

Related to Redmine - Defect #602: File module will upload file even when no V... Closed 2008-02-04

Related to Redmine - Defect #1409: Prevent adding of files if no version is d... Closed 2008-06-09

Has duplicate Redmine - Defect #1417: unable to attach files to projects with... Closed 2008-06-10

Has duplicate Redmine - Defect #2297: File uploads fail without versions Closed 2008-12-08

Has duplicate Redmine - Defect #1980: silent failure when uploading file when... Closed 2008-10-02

Has duplicate Redmine - Feature #853: Remove version requirement for file upl... Closed 2008-03-14

Associated revisions

Revision 2117 - 2008-12-09 19:00 - Jean-Philippe Lang

Files module: makes version field non required (#1053).

History

#1 - 2008-05-09 12:23 - Tadeusz Zimirski

- Target version set to 0.7.1

I have the same problem with 0.7.1 (from rubyforge).

File upload for issues works fine, but the "Files" menu at /projects/add_file/project-name doesn't. The "version" field is a dropdown list with no values,

and it's marked with an asterisk (required).

After "Add" is pressed, the request is processed for quite some time and then the user is redirected to projects/list_files/project-name, with no flash

message (no error message / no confirmation message).

In the Administration -> Information section, "File repository writable" = true

#2 - 2008-05-09 12:23 - Tadeusz Zimirski

- Target version deleted (0.7.1)

#3 - 2008-05-11 18:08 - Tadeusz Zimirski

Sorry for the confusion - my problems only arised because of my lack of familiarity with the tool (no version was present in the project). However, the

application behaviour was quite enigmatic - as there was no flash after unsuccessful upload (I had no idea what prevents redmine to accept the file).

So, I have an usability suggestion which may improve the "out of the box" redmine experience of newbie users :)

I think it would be useful to add a flash message after unsuccessful file upload with the description of the reason why the action failed. Also, in case of

missing version id (which is only possible to select from the UI when no version is created), the error description could mention that you cannot add

files until a project version is created.

Alternatively, a more "general" solution to the possible "version required" confusion: how about forcing the user who creates the project to give the

name for the initial version (so that there never exists a project without a version) ?

Thanks a lot for the great work - I've been using redmine for only a couple days now and I find it awesome! (recommending it to friends and at work

already:)
#4 - 2008-06-18 15:44 - Jon Williams

This does indeed cause some confusion, several of my users are baffled when they cannot upload new files into a project and receive no notification

informing them.

Perhaps when a new project is created a default version is created so users can upload files straight away?

#5 - 2008-06-18 16:56 - F T

I confirm this bug. Redmine 0.7.1, ruby 1.8.5 (2006-08-25) [x86_64-linux]

#6 - 2008-08-12 02:15 - colin moock

i just ran into this too. i think it redmine shouldn't require a version for file uploads.

#7 - 2008-12-08 09:41 - Mischa The Evil

- Category set to Attachments

Up to the current 0.8.0 this issue still exists.

Files can be uploaded without having at least one version without getting a notice about the failure. Patches (working with 0.8?) for this behaviour

exists and are providing a notice about the version-requirement. I've related them to this issue.

Though, as readable in the duplicates of this issue, it is debatable if the version-requirement is really necessary. This is really a design-issue...

#8 - 2008-12-08 09:52 - Mischa The Evil

I've now tested the patch provided in issue #602 on Redmine 0.8.0-RC1 and it still works...

It looks to me that it is the fix for this issue when the design isn't going to be modified. See also my note on issue #602...

Side-note: I "think" that a design-change is wanted by the people who don't use Redmine for version/milestone-based projects. See for example this 

forum-thread.

#9 - 2008-12-08 20:52 - Brad Schick

Mischa The Evil wrote:

Side-note: I "think" that a design-change is wanted by the people who don't use Redmine for version/milestone-based projects. See for example

this forum-thread.

 Yes that is correct in my case. We aren't using versions but would like to us the File module.

But we are also considering Redmine for a larger software project that would have versions, and even then we don't want file uploads to require a

version. Let's say we have versions; beta1, beta2, rc1, etc. Then I have a corporate overview presentation I want to upload to the files area. Why

should that be tied to a specific version of a software release? Yes, it could go in Documents or a  Wiki, but those areas are sometimes more than you

need to just share a file with a group.

#10 - 2008-12-09 03:39 - Lachlan Musicman

Brad Schick wrote:

Mischa The Evil wrote:

Side-note: I "think" that a design-change is wanted by the people who don't use Redmine for version/milestone-based projects. See for

example this forum-thread.

 Yes that is correct in my case. We aren't using versions but would like to us the File module.

 +1 to this. We are using redmine for run of the mill project management, with no svn attached. Would like to upload versionless files.

cheers

#11 - 2008-12-09 19:07 - Jean-Philippe Lang

- Status changed from New to Resolved

Fixed in r2117.

Version field is no longer required. And this field is hidden if no version is defined.
This functionality depends on some refactoring done in r2116 so I'm sure it will be added to 0.8.0 release.

#12 - 2008-12-30 14:29 - Jean-Philippe Lang

- Target version set to 0.8.1

#13 - 2008-12-30 14:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#14 - 2008-12-31 00:12 - Mischa The Evil

Jean-Philippe Lang wrote:

This functionality depends on some refactoring done in r2116 so I'm sure it will be added to 0.8.0 release.

 Target version set to 0.8.1

 Currently (31-12-2008) r2116 (still) isn't merged into the 0.8-stable branch. Don't know if it's intended, forgotten, planned or whatsoever. If it will be

merged then issue #1792 imho could be re-targetted to version 0.8.1 too.

If it is indeed intended not to merge this changeset (r2116) into the 0.8-stable branch, this issue should imho be re-targetted to version 0.9...

#15 - 2008-12-31 09:24 - Jean-Philippe Lang

Oh, sorry. You should have read:

This functionality depends on some refactoring done in r2116 so I'm not sure it will be added to 0.8.0 release.

 It will be merged soon in 0.8 branch.

#16 - 2008-12-31 12:38 - Jean-Philippe Lang

- Resolution set to Fixed

Merged in r2217.
